<ui:composition template="/WEB-INF/template/Layout.xhtml"
 xmlns="http://www.w3.org/1999/xhtml"
xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:define name="titulo">Pesquisa Produtos</ui:define>
	<ui:define name="corpo">
		<form>
			<h1>Pesquisa produtos</h1>
				<p:toolbar style="margin-top:20px">
					<p:toolbarGroup>
							<p:commandButton value="Pesquisar"/>
					</p:toolbarGroup>
						<p:toolbarGroup align="right">
							<p:button value="Novo" outcome="/produtos/CadastroProduto"/>
					</p:toolbarGroup>
				</p:toolbar>	
	
				<p:panelGrid columns="2" id="painel"
					style="width:100%; margin-top:20px" columnClasses="rotulo, campo">
					<p:outputLabel value="SKU" for="sku" />
					<p:inputText id="sku" size="20" maxlength="20" />
					
					<p:outputLabel value="Nome" for="nome" />
					<p:inputText id="nome" size="60" maxlength="80" />	
				</p:panelGrid>
				
				<!-- <p:datatable id="produtosTable" value="#{pesquisaProdutosBean.produtosFiltrados}" var="produto"
					style="margin-top: 20px" emptyMessage="Nenhum produto encontrado." rows="20" 
					paginator="true" paginatorAlwaysVisible="false" paginatorPosition="bottom">
					<p:column headerText="SKU" style="text-align: center; width: 100px">
						<h:outputText value="123" />
					</p:column>
				</p:datatable> -->
		</form>
		
	</ui:define>

</ui:composition>